Bug 13208 - More complete breadcrumbs when cancelling an order
Summary: More complete breadcrumbs when cancelling an order
Status: Pushed to Master
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Aleisha Amohia
QA Contact: Nick Clemens
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2014-11-05 22:52 UTC by Katrin Fischer
Modified: 2017-10-28 09:47 UTC (History)
8 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13208: Improving breadcrumbs for when cancelling an order (4.82 KB, patch)
2017-06-28 01:26 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 13208: Improving breadcrumbs for when cancelling an order (4.88 KB, patch)
2017-06-28 09:04 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 13208: Improving breadcrumbs for when cancelling an order (4.94 KB, patch)
2017-07-21 12:01 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 13208: [FOLLOW-UP] Creating and implementing new Koha::Acquisition::Basket[s] modules (3.67 KB, patch)
2017-07-27 01:55 UTC, Aleisha Amohia
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 13208: [FOLLOW-UP] Creating and implementing new Koha::Acquisition::Basket[s] modules (3.73 KB, patch)
2017-08-14 12:06 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 13208: [FOLLOW-UP] Perl documentation for modules (3.44 KB, patch)
2017-08-18 03:24 UTC, Aleisha Amohia
Details | Diff | Splinter Review
[SIGNED OFF] Bug 13208: Improving breadcrumbs for when cancelling an order (5.01 KB, patch)
2017-08-26 22:20 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED OFF] Bug 13208: [FOLLOW-UP] Creating and implementing new Koha::Acquisition::Basket[s] modules (3.78 KB, patch)
2017-08-26 22:20 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED OFF] Bug 13208: [FOLLOW-UP] Perl documentation for modules (3.51 KB, patch)
2017-08-26 22:20 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 13208: Improving breadcrumbs for when cancelling an order (4.99 KB, patch)
2017-09-01 13:21 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 13208: [FOLLOW-UP] Creating and implementing new Koha::Acquisition::Basket[s] modules (3.77 KB, patch)
2017-09-01 13:21 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 13208: [FOLLOW-UP] Perl documentation for modules (3.50 KB, patch)
2017-09-01 13:21 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 13208: (QA follow-up) Remove blank breadcrumbs on successful deletion (1.67 KB, patch)
2017-09-01 13:21 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 13208: [FOLLOW-UP] Tests for Koha::Acquisition::Baskets (2.85 KB, patch)
2017-09-05 03:33 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 13208: Improving breadcrumbs for when cancelling an order (5.05 KB, patch)
2017-09-15 20:47 UTC, David Bourgault
Details | Diff | Splinter Review
Bug 13208: [FOLLOW-UP] Creating and implementing new Koha::Acquisition::Basket[s] modules (3.83 KB, patch)
2017-09-15 20:48 UTC, David Bourgault
Details | Diff | Splinter Review
Bug 13208: [FOLLOW-UP] Perl documentation for modules (3.56 KB, patch)
2017-09-15 20:48 UTC, David Bourgault
Details | Diff | Splinter Review
Bug 13208: (QA follow-up) Remove blank breadcrumbs on successful deletion (1.73 KB, patch)
2017-09-15 20:48 UTC, David Bourgault
Details | Diff | Splinter Review
Bug 13208: [FOLLOW-UP] Tests for Koha::Acquisition::Baskets (2.91 KB, patch)
2017-09-15 20:48 UTC, David Bourgault
Details | Diff | Splinter Review
Bug 13208: Improving breadcrumbs for when cancelling an order (5.05 KB, patch)
2017-10-07 01:13 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 13208: [FOLLOW-UP] Creating and implementing new Koha::Acquisition::Basket[s] modules (3.89 KB, patch)
2017-10-07 01:13 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 13208: [FOLLOW-UP] Perl documentation for modules (3.61 KB, patch)
2017-10-07 01:13 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 13208: (QA follow-up) Remove blank breadcrumbs on successful deletion (1.78 KB, patch)
2017-10-07 01:13 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 13208: [FOLLOW-UP] Tests for Koha::Acquisition::Baskets (2.97 KB, patch)
2017-10-07 01:13 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2014-11-05 22:52:06 UTC
When cancelling an order, you now can give a reason. The breadcrumbs on that page don't have the bookseller or basket. They could be more complete.
Comment 1 Aleisha Amohia 2017-06-28 01:26:49 UTC
Created attachment 64686 [details] [review]
Bug 13208: Improving breadcrumbs for when cancelling an order

To test:
1) Go to Acquisitions -> Find a vendor -> View a basket with orders in
it (or make a new basket and add an order)
2) Click Cancel order
3) Notice incomplete breadcrumbs, and 'Acquisition' typo
4) Apply patch and refresh page
5) Breadcrumbs should be fixed. Confirm links to vendor and basket work
as expected

Sponsored-by: Catalyst IT
Comment 2 Séverine Queune 2017-06-28 09:03:20 UTC
The patch applies correctly : breadcrumbs is complete and both links to vendor and basket work.
'Aquisitions' is now ended by an 's'.
Thanks Aleisha !
Comment 3 sandboxes@biblibre.com 2017-06-28 09:04:11 UTC
Patch tested with a sandbox, by severine.queune <severine.queune@bulac.fr>
Comment 4 sandboxes@biblibre.com 2017-06-28 09:04:32 UTC
Created attachment 64697 [details] [review]
Bug 13208: Improving breadcrumbs for when cancelling an order

To test:
1) Go to Acquisitions -> Find a vendor -> View a basket with orders in
it (or make a new basket and add an order)
2) Click Cancel order
3) Notice incomplete breadcrumbs, and 'Acquisition' typo
4) Apply patch and refresh page
5) Breadcrumbs should be fixed. Confirm links to vendor and basket work
as expected

Sponsored-by: Catalyst IT

Signed-off-by: severine.queune <severine.queune@bulac.fr>
Comment 5 Nick Clemens 2017-07-21 12:01:50 UTC
Created attachment 65176 [details] [review]
Bug 13208: Improving breadcrumbs for when cancelling an order

To test:
1) Go to Acquisitions -> Find a vendor -> View a basket with orders in
it (or make a new basket and add an order)
2) Click Cancel order
3) Notice incomplete breadcrumbs, and 'Acquisition' typo
4) Apply patch and refresh page
5) Breadcrumbs should be fixed. Confirm links to vendor and basket work
as expected

Sponsored-by: Catalyst IT

Signed-off-by: severine.queune <severine.queune@bulac.fr>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 6 Jonathan Druart 2017-07-24 17:35:56 UTC
I would prefer to have new Koha::Acquisition::Basket[s] modules here.
Comment 7 Aleisha Amohia 2017-07-27 01:55:52 UTC
Created attachment 65291 [details] [review]
Bug 13208: [FOLLOW-UP] Creating and implementing new Koha::Acquisition::Basket[s] modules

Test plan remains the same.

Sponsored-by: Catalyst IT
Comment 8 Owen Leonard 2017-08-11 15:49:52 UTC
This works well for me, but there is some noise from the QA tool:

 FAIL   Koha/Acquisition/Basket.pm
   OK     critic
   OK     forbidden patterns
   OK     git manipulation
   OK     pod
   FAIL   pod coverage
                POD coverage was greater before, try perl -MPod::Coverage=PackageName -e666
   OK     spelling
   OK     valid
Comment 9 Katrin Fischer 2017-08-12 14:48:58 UTC
Marcel commented on this error from the qa script here:
https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=19049#c11
Comment 10 Owen Leonard 2017-08-14 12:06:16 UTC
Created attachment 65954 [details] [review]
[SIGNED-OFF] Bug 13208: [FOLLOW-UP] Creating and implementing new Koha::Acquisition::Basket[s] modules

Test plan remains the same.

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 11 Jonathan Druart 2017-08-14 13:08:52 UTC
(In reply to Owen Leonard from comment #8)
> This works well for me, but there is some noise from the QA tool:
> 
>  FAIL   Koha/Acquisition/Basket.pm

>    FAIL   pod coverage
>                 POD coverage was greater before, try perl
> -MPod::Coverage=PackageName -e666

(In reply to Katrin Fischer from comment #9)
> Marcel commented on this error from the qa script here:
> https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=19049#c11

It was indeed a false positive on bug 19049 (because it was a module in the t directory), but here it's a real failure.
There is missing POD for methods in Koha::Acquisition::Basket.
Comment 12 Aleisha Amohia 2017-08-18 03:24:38 UTC
Created attachment 66161 [details] [review]
Bug 13208: [FOLLOW-UP] Perl documentation for modules
Comment 13 Katrin Fischer 2017-08-26 22:19:02 UTC
Personally I feel that the 'for <vendor>' is unecessary as the information is already visible in the breadcrumbs, but at the moment, this seems a common pattern in the module (Osiander being my vendor):
Home › Acquisitions › Osiander › Basket Test bug 15347 (1) for Osiander
Comment 14 Katrin Fischer 2017-08-26 22:20:43 UTC
Created attachment 66499 [details] [review]
[SIGNED OFF] Bug 13208: Improving breadcrumbs for when cancelling an order

To test:
1) Go to Acquisitions -> Find a vendor -> View a basket with orders in
it (or make a new basket and add an order)
2) Click Cancel order
3) Notice incomplete breadcrumbs, and 'Acquisition' typo
4) Apply patch and refresh page
5) Breadcrumbs should be fixed. Confirm links to vendor and basket work
as expected

Sponsored-by: Catalyst IT

Signed-off-by: severine.queune <severine.queune@bulac.fr>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 15 Katrin Fischer 2017-08-26 22:20:47 UTC
Created attachment 66500 [details] [review]
[SIGNED OFF] Bug 13208: [FOLLOW-UP] Creating and implementing new Koha::Acquisition::Basket[s] modules

Test plan remains the same.

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 16 Katrin Fischer 2017-08-26 22:20:50 UTC
Created attachment 66501 [details] [review]
[SIGNED OFF] Bug 13208: [FOLLOW-UP] Perl documentation for modules

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 17 Katrin Fischer 2017-08-26 22:23:53 UTC
Found another problem with the breadcrumbs in acq while testing this: bug 19180
Comment 18 Nick Clemens 2017-09-01 13:21:29 UTC
Created attachment 66738 [details] [review]
Bug 13208: Improving breadcrumbs for when cancelling an order

To test:
1) Go to Acquisitions -> Find a vendor -> View a basket with orders in
it (or make a new basket and add an order)
2) Click Cancel order
3) Notice incomplete breadcrumbs, and 'Acquisition' typo
4) Apply patch and refresh page
5) Breadcrumbs should be fixed. Confirm links to vendor and basket work
as expected

Sponsored-by: Catalyst IT

Signed-off-by: severine.queune <severine.queune@bulac.fr>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 19 Nick Clemens 2017-09-01 13:21:32 UTC
Created attachment 66739 [details] [review]
Bug 13208: [FOLLOW-UP] Creating and implementing new Koha::Acquisition::Basket[s] modules

Test plan remains the same.

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 20 Nick Clemens 2017-09-01 13:21:35 UTC
Created attachment 66740 [details] [review]
Bug 13208: [FOLLOW-UP] Perl documentation for modules

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 21 Nick Clemens 2017-09-01 13:21:39 UTC
Created attachment 66741 [details] [review]
Bug 13208: (QA follow-up) Remove blank breadcrumbs on successful deletion

After order is deleted we don't have a vendor or basket so we get blank
breadcrumbs, this removes them
Comment 22 Jonathan Druart 2017-09-01 15:43:30 UTC
Please provide tests for new modules (based on t/db_dependent/Koha/Cities.t).
Comment 23 Aleisha Amohia 2017-09-05 03:33:05 UTC
Created attachment 66831 [details] [review]
Bug 13208: [FOLLOW-UP] Tests for Koha::Acquisition::Baskets

To test:
prove -v t/db_dependent/Koha/Acquisition/Baskets.t
Comment 24 David Bourgault 2017-09-08 20:12:46 UTC
All tests successful.
Files=1, Tests=4,  2 wallclock secs ( 0.02 usr  0.00 sys +  0.64 cusr  0.02 csys =  0.68 CPU)
Result: PASS

Signed off
Comment 25 Katrin Fischer 2017-09-09 07:03:52 UTC
Hi David, please add your sign-off line to the patches before you switch the status. It's quite easy with kohadevbox, but we can help you with whatever setup you have. See here:
https://wiki.koha-community.org/wiki/Git_bz_configuration#Signing_off
Comment 26 David Bourgault 2017-09-15 20:47:32 UTC
Created attachment 67167 [details] [review]
Bug 13208: Improving breadcrumbs for when cancelling an order

To test:
1) Go to Acquisitions -> Find a vendor -> View a basket with orders in
it (or make a new basket and add an order)
2) Click Cancel order
3) Notice incomplete breadcrumbs, and 'Acquisition' typo
4) Apply patch and refresh page
5) Breadcrumbs should be fixed. Confirm links to vendor and basket work
as expected

Sponsored-by: Catalyst IT

Signed-off-by: severine.queune <severine.queune@bulac.fr>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: David Bourgault <david.bourgault@inlibro.com>
Comment 27 David Bourgault 2017-09-15 20:48:14 UTC
Created attachment 67168 [details] [review]
Bug 13208: [FOLLOW-UP] Creating and implementing new Koha::Acquisition::Basket[s] modules

Test plan remains the same.

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: David Bourgault <david.bourgault@inlibro.com>
Comment 28 David Bourgault 2017-09-15 20:48:22 UTC
Created attachment 67169 [details] [review]
Bug 13208: [FOLLOW-UP] Perl documentation for modules

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: David Bourgault <david.bourgault@inlibro.com>
Comment 29 David Bourgault 2017-09-15 20:48:27 UTC
Created attachment 67170 [details] [review]
Bug 13208: (QA follow-up) Remove blank breadcrumbs on successful deletion

After order is deleted we don't have a vendor or basket so we get blank
breadcrumbs, this removes them

Signed-off-by: David Bourgault <david.bourgault@inlibro.com>
Comment 30 David Bourgault 2017-09-15 20:48:32 UTC
Created attachment 67171 [details] [review]
Bug 13208: [FOLLOW-UP] Tests for Koha::Acquisition::Baskets

To test:
prove -v t/db_dependent/Koha/Acquisition/Baskets.t

Signed-off-by: David Bourgault <david.bourgault@inlibro.com>
Comment 31 Nick Clemens 2017-10-07 01:13:28 UTC
Created attachment 67768 [details] [review]
Bug 13208: Improving breadcrumbs for when cancelling an order

To test:
1) Go to Acquisitions -> Find a vendor -> View a basket with orders in
it (or make a new basket and add an order)
2) Click Cancel order
3) Notice incomplete breadcrumbs, and 'Acquisition' typo
4) Apply patch and refresh page
5) Breadcrumbs should be fixed. Confirm links to vendor and basket work
as expected

Sponsored-by: Catalyst IT

Signed-off-by: severine.queune <severine.queune@bulac.fr>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: David Bourgault <david.bourgault@inlibro.com>
Comment 32 Nick Clemens 2017-10-07 01:13:32 UTC
Created attachment 67769 [details] [review]
Bug 13208: [FOLLOW-UP] Creating and implementing new Koha::Acquisition::Basket[s] modules

Test plan remains the same.

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: David Bourgault <david.bourgault@inlibro.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 33 Nick Clemens 2017-10-07 01:13:35 UTC
Created attachment 67770 [details] [review]
Bug 13208: [FOLLOW-UP] Perl documentation for modules

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: David Bourgault <david.bourgault@inlibro.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 34 Nick Clemens 2017-10-07 01:13:38 UTC
Created attachment 67771 [details] [review]
Bug 13208: (QA follow-up) Remove blank breadcrumbs on successful deletion

After order is deleted we don't have a vendor or basket so we get blank
breadcrumbs, this removes them

Signed-off-by: David Bourgault <david.bourgault@inlibro.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 35 Nick Clemens 2017-10-07 01:13:41 UTC
Created attachment 67772 [details] [review]
Bug 13208: [FOLLOW-UP] Tests for Koha::Acquisition::Baskets

To test:
prove -v t/db_dependent/Koha/Acquisition/Baskets.t

Signed-off-by: David Bourgault <david.bourgault@inlibro.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 36 Jonathan Druart 2017-10-09 19:16:44 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 37 Fridolin SOMERS 2017-10-27 14:42:22 UTC
Ok when cancelling from a basket page.

But I found breadcrumbs are also broken when cancelling from a receipt summary.

For example : /cgi-bin/koha/acqui/parcel.pl?invoiceid=1&op=cancelreceipt&ordernumber=1
The URL does not provide "basketno".

Do we create a new bug ?
Comment 38 Katrin Fischer 2017-10-27 14:48:49 UTC
Yes, always a new bug after things are pushed (no confusion in release notes etc.)
Comment 39 Jonathan Druart 2017-10-27 15:48:48 UTC
(In reply to Katrin Fischer from comment #38)
> Yes, always a new bug after things are pushed (no confusion in release notes
> etc.)

If it is not backported yet and the fix is trivial I prefer a follow-up on the same bug report and push it directly without the SO+QA steps.
Comment 40 Katrin Fischer 2017-10-28 09:47:06 UTC
Sorry, was a little too fast, not reading closely enough.